GDB (xrefs)

Public Attributes | List of all members
dw2_symtab_iterator Struct Reference

## Public Attributes
struct mapped_index * | index
int | want_specific_block
int | block_index
domain_enum | domain
offset_type * | vec
int | next
int | length
int | global_seen

## Detailed Description

Definition at line 4141 of file dwarf2read.c.

## Member Data Documentation

## ◆ block_index

int dw2_symtab_iterator::block_index

Definition at line 4149 of file dwarf2read.c.

Referenced by dw2_symtab_iter_init(), and dw2_symtab_iter_next().

## ◆ domain

domain_enum dw2_symtab_iterator::domain

Definition at line 4151 of file dwarf2read.c.

Referenced by dw2_symtab_iter_init(), and dw2_symtab_iter_next().

## ◆ global_seen

int dw2_symtab_iterator::global_seen

Definition at line 4163 of file dwarf2read.c.

Referenced by dw2_symtab_iter_init(), and dw2_symtab_iter_next().

## ◆ index

struct mapped_index* dw2_symtab_iterator::index

Definition at line 4144 of file dwarf2read.c.

Referenced by dw2_symtab_iter_init(), and dw2_symtab_iter_next().

## ◆ length

int dw2_symtab_iterator::length

Definition at line 4158 of file dwarf2read.c.

Referenced by dw2_symtab_iter_init(), and dw2_symtab_iter_next().

## ◆ next

int dw2_symtab_iterator::next

Definition at line 4156 of file dwarf2read.c.

Referenced by gdb.FrameIterator.FrameIterator::__next__(), dw2_symtab_iter_init(), and dw2_symtab_iter_next().

## ◆ vec

offset_type* dw2_symtab_iterator::vec

Definition at line 4154 of file dwarf2read.c.

Referenced by dw2_symtab_iter_init(), and dw2_symtab_iter_next().

## ◆ want_specific_block

int dw2_symtab_iterator::want_specific_block

Definition at line 4146 of file dwarf2read.c.

Referenced by dw2_symtab_iter_init(), and dw2_symtab_iter_next().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/dwarf2read.c